/******************************************************************************/
/*           ԊOR̐MLZ鑕ũC֐             */
/*                                                                            */
/*  2024.08.XX                                                  by S.Suzuki   */
/******************************************************************************/
/*  : PD̃vOATtiny44A-PUpłB                            */
/*      : QDNbN8MHzpłBq[YrbgCKVIV8=1ƂĂB      */

#define	F_CPU	8000000UL
#include <avr/io.h>
//#include <avr/wdt.h>
#include <avr/interrupt.h>

#include "hdwareInfo.h"
#include "IrRcCanSend.h"
#include "IrRcReceive.h"


/******************************************************************************/
/*                    LEDCWP[^pI/O|[g̏                      */
/******************************************************************************/

static void Init_LedPort(void)
{
	LED_PORT |= LED_BIT;		/* LEDpI/O|[gɂ炩 OFFo */
	LED_DDR  |= LED_BIT;		/* LEDpI/O|[go̓|[gɂ     */
}

void Indicate_LED(BYTE byLighting)
{
	if(byLighting == 0){
		LED_OFF();				/* LEDCWP[^ */
	}
	else{
		LED_ON();				/* LEDCWP[^_ */
	}
}

/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/*                               C֐                                   */
/*                                                                            */
/******************************************************************************/
/******************************************************************************/

int main(void)
{
	BYTE	byRcType;

	/*  LEDCWP[^pI/O|[g̏ */
	Init_LedPort();
	/* ^C}ȌƃLZMM */
	Init_TIMER0();
	/* ^C}P̏ƐԊORf[^̎M */
	Init_TIMER1();

	/* 荞݋ */
	sei();

	/* ԊOR̎MJn */
	Ctrl_IrRcReceive(1);
	/* C[vł */
	while(1){
		/* ԊOR̐MM`FbNi߂lTYPE_UNDETȂMj */
		byRcType = Get_IrRcDetect();	/* ߒl : TYPE_UNDET, TYPE_NEC, TYPE_AEHA, TYPE_SONY */
		if(byRcType != TYPE_UNDET){
			/* ԊOR̎M~ */
			Ctrl_IrRcReceive(0);
			/* 38KHzLZMMJn */
			Send_IrRcCancel(100);		/* 10mSo */
			/* M҂ */
			while(Check_IrRcCancel() != 0);
			/* ԊOR̎MJn */
			Ctrl_IrRcReceive(1);
		}
	}

	return 0;
}

